Ubuntu

Please sync musescore=1.2+dfsg-1 from Debian/sid (main)

Reported by Toby Smithe on 2012-03-22
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
musescore (Ubuntu)
Undecided
Unassigned

Bug Description

Any Ubuntu diff can be dropped.

musescore (1.2+dfsg-1) unstable; urgency=low
 .
   * New upstream release
     + see <http://musescore.org/en/musescore-1.2-released>
     + many bugfixes (Closes: #641780, #663411, #649225, #657910, #642953)
                     (LP: #794282, #944619, #743116)
     + musescore-common dependency has been correctly versioned since 1.1
       (Closes: #655111)
   * 12-debianise-about-box.patch:
     + redirect bug submitters to the correct package on Launchpad
   * 25-desktop-file-genericnames.patch: (Closes: #640988)
     + no more meaningless GenericName entries in desktop file
   * debian/rules: use dh_prep instead of dh_clean -k
   * debian/rules, debian/manpages: make sure `musescore` has a manpage
   * debian/control: ensure transitional packages are oldlibs/extra

Toby Smithe (tsmithe) on 2012-03-22
affects: ubuntu → musescore (Ubuntu)
Toby Smithe (tsmithe) on 2012-03-23
description: updated
Daniel Holbach (dholbach) wrote :

CCing Release Team.

Stefano Rivera (stefanor) wrote :

Looks reasonable. Would anyone in Ubuntu Studio care to comment?

(Ah, that made me nostalgic: once upon a time, I myself was "from
Ubuntu Studio", though it has been a long time since I showed my
digital face there. Anyway, I obviously can no longer speak for them,
so I'll keep the reminiscing for elsewhere.)

--
Toby Smithe

Janne Jokitalo (astraljava) wrote :

Hi Toby, Stefano!

I built it on a precise pbuilder, and a few of our testers verified it's running ok, and looking at the changelog it seems to be a very pleasing update. From Studio POV, go for it. Thanks!

Stefano Rivera (stefanor) wrote :

In that case, you have an FFe, go for it after Beta 2 and before final freeze. Unless ubuntustudio devs want it during the beta freeze.

Toby Smithe (tsmithe) wrote :

Stefano, could you clarify the process for me, then?

Having done this a couple of times, and having read the documentation,
I was under the impression that the FeatureFreeze applied only to new
features (ie, new packages/APIs/substantial new introductions to old
code), and that bug-fix releases were exempt (or not covered). I read
also about the BetaFreeze and UserInterfaceFreeze, and it seemed in
those cases that only main and restricted were covered. I can
understand why those freezes might want to be tightened, if only
informally, and especially for an LTS, but I'm concerned that the
documentation isn't very clear.

In any case, I'm not in any hurry to get this update into precise, as
long as it does get into precise, though, considering how many bugs
have been fixed by it, I would say that there would be no harm in
having it in the next beta.

Cheers,

--
Toby Smithe

Iain Lane (laney) wrote :

Feature freeze applies to new features indeed, but we are considering some of the changes in this release to be large enough to be considered "feature" rather than "bug fix". It can be a bit subjective sometimes, but it's best especially for packages which are on images (such as this) to be conservative. From http://musescore.org/en/developers-handbook/release-notes/release-notes-musescore-1.2 we can see that there are changes to MuseJazz, new drumset files and new templates.

I asked astraljava to comment on whether ubuntustudio want it in for the beta, so we can decide when to sync (since this package is on an image we have to consider when the sync should happen)

Janne Jokitalo (astraljava) wrote :

I am perfectly happy to wait until beta-2 has been released, and then sync before the final freeze. No need to add more fuss to the beta-2 testing.

Toby Smithe (tsmithe) wrote :

All sounds good to me: thanks for the clarification. In these cases
where it is unclear, it's nice to hear the thought processes behind
such decisions. Being these days a relative outsider to the process as
I am (eg, I don't have time enough to hang out on IRC much any more),
it's nice to know what's going on and where one stands in relation to
it all.

--
Toby Smithe

Jamie Strandboge (jdstrand) wrote :

Unsubscribing ubuntu-sponsors for now. Please resubscribe when there is an action to be performed.

Daniel Holbach (dholbach) wrote :

This bug was fixed in the package musescore - 1.2+dfsg-1
Sponsored for Toby Smithe (tsmithe)

---------------
musescore (1.2+dfsg-1) unstable; urgency=low

  * New upstream release
    + see <http://musescore.org/en/musescore-1.2-released>
    + many bugfixes (Closes: #641780, #663411, #649225, #657910, #642953)
                    (LP: #794282, #944619, #743116)
    + musescore-common dependency has been correctly versioned since 1.1
      (Closes: #655111)
  * 12-debianise-about-box.patch:
    + redirect bug submitters to the correct package on Launchpad
  * 25-desktop-file-genericnames.patch: (Closes: #640988)
    + no more meaningless GenericName entries in desktop file
  * debian/rules: use dh_prep instead of dh_clean -k
  * debian/rules, debian/manpages: make sure `musescore` has a manpage
  * debian/control: ensure transitional packages are oldlibs/extra

 -- Toby Smithe <email address hidden> Wed, 21 Mar 2012 18:45:32 +0000

musescore (1.1+dfsg-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
    Note: some patches were updated with "quilt refresh" to make
    them apply cleanly.
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Jari Aalto <email address hidden> Wed, 29 Feb 2012 04:55:51 -0500

musescore (1.1+dfsg-1) unstable; urgency=low

  * New upstream release: <http://musescore.org/en/musescore-1.1> (LP: #819293)
    + MuseScore Connect <http://musescore.org/en/node/11523>
      - debian/control: depend on libqtwebkit-dev
    + add sol notehead, alternative brevist notehead group
    + add new symbols for old notation
    + improvements to MuseJazz font
    + new "MuseJazz" style
    + new "Jazz Lead Sheet" template and style
    + improvements to chord placement via keyboard
    + "Acoustic Bass" added to instrument list
    + many bug fixes (LP: #720483)
      <http://musescore.org/en/developers-handbook/release-notes-musescore-1.1>
  * Fix startup notification (Closes: #625824).
    + add 21-fix-startup-notification.dpatch
  * Fix FTBFS (Closes: #624989; LP: #770742)
    + add 22-fix-casting.dpatch
  * Switch Mixer binding to F8 (LP: #783653)
  * Update other patches.

 -- Toby Smithe <email address hidden> Fri, 12 Aug 2011 14:31:48 +0100

Changed in musescore (Ubuntu):
status: New → Fix Released
Toby Smithe (tsmithe) wrote :

Thanks for the quick action on this, Daniel.

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers